/***************************************************************************
                          myfilepicker.h  -  description
                             -------------------
    begin                : Sun Jun 17 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYFILEPICKER_H
#define MYFILEPICKER_H

#include <qwidget.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qsizepolicy.h>

class QString;
class QPushButton;
class QLabel;
class QToolTip;

/**
	* displays a label:lineedit:button - widget
  * for selecting files
  * @author Rdiger Knrig
  */

class MyFilePicker : public QWidget  {
   Q_OBJECT
public:
	/**
		* Default-Konstruktor
		* @param explanation Text displayed left.
		* @param defaulttext Is displayed in the LineEdit
		*/
	MyFilePicker(QString explanation,const QString &defaulttext,QWidget *parent=0, const char *name=0);
	/**
		* Default-Destruktor
		*/
	~MyFilePicker();
	/**
		* Returns the selected filename
		* @return QString with the filename
		*/
  /** returns size policy of widget */
  QSizePolicy sizePolicy() const { return QSizePolicy(QSizePolicy::MinimumExpanding,QSizePolicy::Fixed) ; }
	QString getFileName() { return entry->text(); }
public slots:
	/**
		* Sets the filename
		* @param filename QString with the new filename
		*/
		void setFileName(QString filename) { entry->setText(filename); }
protected:
	QHBoxLayout *mainlayout;
	QLabel *explanation;
	QLineEdit *entry;
	QPushButton *pickbutton;
protected slots: // Protected slots
  /**
  	* invokes a file dialog for setting
    * the filename  displayed in entry
    */
  void slotPickFile();
};

#endif
